{
  "name": "ddac-front",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc -b && vite build",
    "preview": "vite preview",
    "prepare": "husky",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix",
    "format": "prettier --write ."
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.2",
    "@vueuse/core": "^14.2.1",
    "axios": "^1.13.6",
    "echarts": "^6.0.0",
    "element-plus": "^2.13.5",
    "file-saver": "^2.0.5",
    "normalize.css": "^8.0.1",
    "pinia": "^3.0.4",
    "vue": "^3.5.30",
    "vue-echarts": "^8.0.1",
    "vue-router": "^5.0.3"
  },
  "devDependencies": {
    "@eslint/js": "^10.0.1",
    "@types/node": "^24.12.0",
    "@vitejs/plugin-vue": "^6.0.5",
    "@vue/tsconfig": "^0.9.0",
    "eslint": "^10.1.0",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-vue": "^10.8.0",
    "fast-glob": "^3.3.3",
    "husky": "^9.1.7",
    "lint-staged": "^16.4.0",
    "prettier": "^3.8.1",
    "sass-embedded": "^1.98.0",
    "typescript": "~5.9.3",
    "typescript-eslint": "^8.57.2",
    "unplugin-auto-import": "^21.0.0",
    "unplugin-vue-components": "^31.0.0",
    "vite": "^8.0.0",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^3.2.5"
  },
  "lint-staged": {
    "*.{vue,ts,tsx,js,jsx}": [
      "eslint --fix",
      "prettier --write"
    ],
    "*.{css,scss,html,json,md}": [
      "prettier --write"
    ]
  }
}
